/* exported UIPMediaLibrary*/
/* global AppSettings, UIProvider, Utils, editor */
/**
 *
 * @param {ProviderData} data
 * @constructor
 */
function UIPMediaLibrary(data) {
    'use strict';

    UIPMediaLibrary.superclass.constructor.call(this, data);

    // Frame load
    editor.previewController.setSrc(AppSettings.mediaLibraryUrl);
}

Utils.extend(UIPMediaLibrary, UIProvider);

// Unsubscribe
UIPMediaLibrary.prototype.dispose = function () {
    'use strict';
    editor.previewController.setSrc(editor.templatesController.getCurrentTemplateUrl());
    UIPMediaLibrary.superclass.dispose.call(this);
    // Frame close
};